Index: /anuga_core/source/anuga/fit_interpolate/interpolate.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/interpolate.py	(revision 3767)
+++ /anuga_core/source/anuga/fit_interpolate/interpolate.py	(revision 3768)
@@ -35,5 +35,6 @@
 from anuga.utilities.numerical_tools import ensure_numeric, mean, NAN
 from anuga.utilities.polygon import in_and_outside_polygon
-from anuga.geospatial_data.geospatial_data import Geospatial_data, ensure_absolute
+from anuga.geospatial_data.geospatial_data import Geospatial_data
+from anuga.geospatial_data.geospatial_data import ensure_absolute
 from anuga.fit_interpolate.search_functions import search_tree_of_vertices
 from anuga.fit_interpolate.general_fit_interpolate import FitInterpolate
@@ -120,6 +121,6 @@
         # FIXME (Ole): Need an input check that dimensions are compatible
 
-        # FIXME (Ole): Why is the interpolation matrix rebuilt everytime the method is called
-        # even if interpolation points are unchanged.
+        # FIXME (Ole): Why is the interpolation matrix rebuilt everytime the
+        # method is called even if interpolation points are unchanged.
         
         #print "point_coordinates interpolate.interpolate", point_coordinates 
@@ -168,4 +169,5 @@
                                  len(point_coordinates),
                                  start_blocking_len):
+                    
                     t = self.interpolate_block(f, point_coordinates[start:end],
                                                verbose=verbose)
@@ -174,4 +176,5 @@
                     z = concatenate((z,t))
                     start = end
+                    
                 end = len(point_coordinates)
                 t = self.interpolate_block(f, point_coordinates[start:end],
@@ -179,5 +182,4 @@
                 z = concatenate((z,t))
         return z
-
 
     def interpolate_block(self, f, point_coordinates = None, verbose=False):
@@ -213,5 +215,4 @@
             z[i] = NAN
         return z
-
 
     def _build_interpolation_matrix_A(self,
@@ -364,4 +365,5 @@
         velocity_y_writer.writerow(velocity_ys)
 
+
 class Interpolation_function:
     """Interpolation_interface - creates callable object f(t, id) or f(t,x,y)
@@ -398,6 +400,5 @@
     If None, return average value
     """
-
-    
+  
     
     def __init__(self,
@@ -467,8 +468,4 @@
         self.index = 0    # Initial time index
         self.precomputed_values = {}
-        
-
-
-
         
             
@@ -504,5 +501,5 @@
             if verbose: print 'Interpolate'
 	    for i, t in enumerate(self.time):
-                #Interpolate quantities at this timestep
+                # Interpolate quantities at this timestep
                 if verbose and i%((p+10)/10)==0:
                     print ' time step %d of %d' %(i, p)
@@ -510,16 +507,16 @@
                 for name in quantity_names:
                     if len(quantities[name].shape) == 2:
-                        result = interpol.interpolate(quantities[name][i,:],
-                                                      point_coordinates = \
-                                                      self.interpolation_points)
+                        Q = quantities[name][i,:] # Quantities at timestep i
                     else:
-                       #Assume no time dependency 
-                       result = interpol.interpolate(quantities[name][:],
-                                     point_coordinates = \
-                                     self.interpolation_points)
+                        Q = quantities[name][:]   # No time dependency
                        
+                    # Interpolate    
+                    result = interpol.interpolate(Q,
+                                                  point_coordinates=\
+                                                  self.interpolation_points)
                     self.precomputed_values[name][i, :] = result
+
                    
-            #Report
+            # Report
             if verbose:
                 print self.statistics()
@@ -527,15 +524,13 @@
             
         else:
-            #Store quantitites as is
-	    for name in quantity_names:
+            # Store quantitites as is
+            for name in quantity_names:
                 self.precomputed_values[name] = quantities[name]
 
-
     def __repr__(self):
-        #return 'Interpolation function (spatio-temporal)'
+        # return 'Interpolation function (spatio-temporal)'
         return self.statistics()
-    
-
-    def __call__(self, t, point_id = None, x = None, y = None):
+ 
+    def __call__(self, t, point_id=None, x=None, y=None):
         """Evaluate f(t), f(t, point_id) or f(t, x, y)
 
@@ -665,4 +660,5 @@
         return self.time
 
+
     def statistics(self):
         """Output statistics about interpolation_function
@@ -711,4 +707,5 @@
         return str
 
+
 def interpolate_sww(sww_file, time, interpolation_points,
                     quantity_names = None, verbose = False):
@@ -729,12 +726,11 @@
 
     #Will return the quantity values at the specified times and locations
-    interp =  Interpolation_interface(
-                 time,
-                 quantities,
-                 quantity_names = quantity_names,  
-                 vertex_coordinates = vertex_coordinates,
-                 triangles = volumes,
-                 interpolation_points = interpolation_points,
-                 verbose = verbose)
+    interp = Interpolation_interface(time,
+                                     quantities,
+                                     quantity_names=quantity_names,  
+                                     vertex_coordinates=vertex_coordinates,
+                                     triangles=volumes,
+                                     interpolation_points=interpolation_points,
+                                     verbose=verbose)
 
 
@@ -801,4 +797,5 @@
     return x, y, volumes, time, quantities
 
+
 #-------------------------------------------------------------
 if __name__ == "__main__":