Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 3811)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 3825)
@@ -82,5 +82,5 @@
     #--------------------------------------------------------------------------
 
-    base_resolution = 1
+    base_resolution = 10
 
     # Basic geometry
@@ -137,5 +137,5 @@
 
     interior_regions = [[gulleys, 0.00002*base_resolution],
-                        [island, 0.0003*base_resolution]]
+                        [island, 0.00007*base_resolution]]
     
 
@@ -149,81 +149,8 @@
                                  boundary_tags={'wall': [0, 1, 2, 4, 5],
                                                 'wave': [3]},
-                                 maximum_triangle_area=0.1,
+                                 maximum_triangle_area=0.1*base_resolution,
                                  interior_regions=interior_regions,
+                                 filename=project.mesh_filename,
                                  use_cache=True,
                                  verbose=True)
 
-    m.generateMesh('pzq28.0za1000000a') #???
-    
-    import project
-    m.export_mesh_file(project.mesh_filename)
-
-    import sys; sys.exit() 
-
-
-
-    #Localised refined area for gulleys
-    dict = {}
-    xl = 4.8
-    xr = 5.3
-    yb = 1.6
-    yt = 2.3
-    p0 = [xl, yb]
-    p1 = [xr, yb]
-    p2 = [xr, yt]
-    p3 = [xl, yt]
-    
-    dict['points'] = [p0, p1, p2, p3]
-    dict['segments'] = [[0,1], [1,2], [2,3], [3,0]]
-    dict['segment_tags'] = ['', '', '', '']
-    m.addVertsSegs(dict)    
-
-    #Island area
-    island_0 = [xleft + 2*(xright-xleft)/3+1.2, ytop-0.5]
-    island_1 = [xleft + 2*(xright-xleft)/3+0.5, ybottom + 2*(ytop-ybottom)/3]
-    island_2 = [xleft + (xright-xleft)/2+0.3, ybottom + 2*(ytop-ybottom)/3-0.3]
-    island_3 = [xleft + (xright-xleft)/2+0.3, ybottom + (ytop-ybottom)/3+0.3]
-    island_4 = [xleft + 2*(xright-xleft)/3+0.4, ybottom + (ytop-ybottom)/3-0.3] 
-    island_5 = [xleft + 2*(xright-xleft)/3+1.2, ybottom+0.2]
-    island_6 = [xl-.01, yb]  #OK
-    island_7 = [xl-.01, yt]  #OK      
-    
-
-    dict['points'] = [island_0, island_1, island_2,
-                      island_3, island_4, island_5,
-                      island_6, island_7]
-
-                      
-    dict['segments'] = [[0,1], [1,2], [2,3], [3,4],
-                        [4,5], [5,6], [6,7], [7,0]]
-                        
-    dict['segment_tags'] = ['', '', '', '', '', '', '', '']
-
-
-    m.addVertsSegs(dict)    
-
-    
-#
-    
-    base_resolution = 10
-
-    ocean = m.addRegionEN(xleft+.1, ybottom+.1)
-    ocean.setMaxArea(0.1*base_resolution)
-
-    mid = m.addRegionEN(point_mbottom[0]+.1, ybottom+.1)
-    mid.setMaxArea(0.0005*base_resolution)
-  
-
-    inner = m.addRegionEN(island_3[0]+.1, island_3[1]+.1)
-    inner.setMaxArea(0.0003*base_resolution)
-
-
-    gulleys = m.addRegionEN(p0[0]+0.1, p0[1]+0.1)
-    gulleys.setMaxArea(0.00002*base_resolution)
-
-
-    m.generateMesh('pzq28.0za1000000a')
-
-    import project
-    m.export_mesh_file(project.mesh_filename)
-    
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/validate_okushiri.py
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/validate_okushiri.py	(revision 3811)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/validate_okushiri.py	(revision 3825)
@@ -53,6 +53,16 @@
 domain.set_maximum_allowed_speed(0) # The default in August 2005
 
+
+# Set old (pre Sep 2006) defaults for limiters
+domain.beta_w      = 0.9
+domain.beta_w_dry  = 0.9
+domain.beta_uh     = 0.9
+domain.beta_uh_dry = 0.9
+domain.beta_vh     = 0.9
+domain.beta_vh_dry = 0.9
+
 domain.check_integrity()
 
+print domain.statistics()
 
 #-------------------------