Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 3846)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 3847)
@@ -162,18 +162,26 @@
 
 class File_boundary(Boundary):
-    """Boundary values obtained from file and interpolated.
-    conserved quantities as a function of time.
+    """The File_boundary reads values for the conserved
+    quantities from an sww NetCDF file, and returns interpolated values
+    at the midpoints of each associated boundary segment.
+    Time dependency is interpolated linearly.
 
     Assumes that file contains a time series and possibly
-    also spatial info.
-    See docstring for File_function in util.py for details about
-    admissible file formats
-
-    The full solution history is not exactly the same as if
-    the models were coupled:
+    also spatial info. See docstring for File_function in util.py
+    for details about admissible file formats
+
     File boundary must read and interpolate from *smoothed* version
     as stored in sww and cannot work with the discontinuos triangles.
 
-    """
+    Example:
+    Bf = File_boundary('source_file.sww', domain)
+
+
+    Note that the resulting solution history is not exactly the same as if
+    the models were coupled as there is no feedback into the source model.
+    """
+
+    # FIXME (Ole): I kind of like the name Spatio_Temporal_boundary for this
+    # rather than File_boundary
 
     def __init__(self, filename, domain, verbose = False):
@@ -190,5 +198,6 @@
         #Compute midpoint coordinates for all boundary elements
         #Only a subset may be invoked when boundary is evaluated but
-        #we don't know which ones at this stage since this object can be attached to
+        #we don't know which ones at this stage since this object can
+        #be attached to
         #any tagged boundary later on.
 
Index: /anuga_core/source/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 3846)
+++ /anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 3847)
@@ -166,4 +166,18 @@
                 
 
+    def set_all_limiters(beta):
+        """Shorthand to assign one constant value [0,1[ to all limiters.
+        0 Corresponds to first order, where as larger values make use of
+        the second order scheme. 
+        """
+
+        self.beta_w      = beta
+        self.beta_w_dry  = beta
+        self.beta_uh     = beta
+        self.beta_uh_dry = beta
+        self.beta_vh     = beta
+        self.beta_vh_dry = beta
+        self.beta_h      = beta
+        
 
     def set_store_vertices_uniquely(self, flag, reduction=None):
@@ -1363,17 +1377,4 @@
 
 
-#class Spatio_temporal_boundary(Boundary):
-#    """The spatio-temporal boundary, reads values for the conserved
-#    quantities from an sww NetCDF file, and returns interpolated values
-#    at the midpoints of each associated boundaty segment.
-#    Time dependency is interpolated linearly as in util.File_function.#
-#
-#    Example:
-#    Bf = Spatio_temporal_boundary('source_file.sww', domain)
-#
-#    """
-Spatio_temporal_boundary = File_boundary
-
-
 
 
Index: /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 3846)
+++ /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 3847)
@@ -3488,6 +3488,8 @@
         # Boundary conditions
         Br = Reflective_boundary(domain2)
-        Bf = Spatio_temporal_boundary(domain1.get_name() + '.' +\
-                                      domain1.format, domain2)
+        #Bf = Spatio_temporal_boundary(domain1.get_name() + '.' +\
+        #                              domain1.format, domain2)
+        Bf = File_boundary(domain1.get_name() + '.' +\
+                           domain1.format, domain2)        
         domain2.set_boundary({'right':Br, 'bottom':Br, 'diagonal':Bf})
         domain2.check_integrity()
@@ -3627,6 +3629,8 @@
         # Boundary conditions
         Br = Reflective_boundary(domain2)
-        Bf = Spatio_temporal_boundary(domain1.get_name() + '.' + domain1.format,
-                                      domain2)
+        #Bf = Spatio_temporal_boundary(domain1.get_name() + '.' + domain1.format,
+        #                              domain2)
+        Bf = File_boundary(domain1.get_name() + '.' + domain1.format,
+                           domain2)        
         domain2.set_boundary({'right':Br, 'bottom':Br, 'diagonal':Bf})
         domain2.check_integrity()